"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findAndMarkRelevantFunctions = void 0;
const findCallExpressions_1 = require("./findCallExpressions");
const names_1 = require("../names");
const markPath_1 = require("./markPath");
const findComponentHooks_1 = require("./findComponentHooks");
function findAndMarkRelevantFunctions(programPath, isDev) {
    const loadQueryExpressions = new Set();
    programPath.traverse(Object.assign({}, (0, findCallExpressions_1.findCallExpressions)(names_1.names.loadQuery, loadQueryExpressions, (callPath) => {
        (0, markPath_1.markPath)(callPath, names_1.names.loadQuery);
    })));
    const fragmentHooks = (0, findComponentHooks_1.findComponentHooks)(programPath, names_1.names.useFragment, isDev);
    const queryHooks = (0, findComponentHooks_1.findComponentHooks)(programPath, names_1.names.useQuery, isDev);
    return {
        loadQueryExpressions: {
            supported: loadQueryExpressions,
            unsupported: new Set(),
        },
        fragmentHooks,
        queryHooks,
    };
}
exports.findAndMarkRelevantFunctions = findAndMarkRelevantFunctions;
//# sourceMappingURL=findAndMarkRelevantFunctions.js.map