"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.markWithError = exports.markUnsupported = void 0;
const core_1 = require("@babel/core");
function markUnsupported(node, name, isDev) {
    const msg = isDev
        ? `[GraphQL Compiler Plugin] ${name} is only supported in named and non-default-export module-level functions. This might be due to ${name} being called inside a nested function.`
        : `Unexpected ${name} call`;
    markWithError(node, msg);
}
exports.markUnsupported = markUnsupported;
function markWithError(node, error) {
    const variableDeclarationParent = node.findParent((path) => {
        return path.type === "VariableDeclaration";
    });
    (variableDeclarationParent !== null && variableDeclarationParent !== void 0 ? variableDeclarationParent : node).replaceWith(core_1.types.throwStatement(core_1.types.newExpression(core_1.types.identifier("Error"), [
        core_1.types.stringLiteral(error),
    ])));
}
exports.markWithError = markWithError;
//# sourceMappingURL=markUnsupported.js.map