var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { createVisitor } from "./visitor";
export function isDebug() {
    return process.env.PLUGIN_DEBUG === "true";
}
export default function (babel) {
    var _a;
    const _b = babel, { types: t } = _b, api = __rest(_b, ["types"]);
    let serverFlag = api.caller((caller) => caller != null ? caller.isServer : null);
    let isServer = serverFlag !== null && serverFlag !== void 0 ? serverFlag : true;
    let isDev = ((_a = babel.env()) !== null && _a !== void 0 ? _a : process.env.NODE_ENV) !== "production";
    if (isDebug()) {
        isServer = process.env.IS_SERVER === "true";
        isDev = process.env.NODE_ENV !== "production";
        console.info("isServer:", isServer);
        console.info("isDev:", isDev);
    }
    if (isServer) {
        if (isDev) {
            return createVisitor(true, true, false, isDev);
        }
        else {
            return createVisitor(true, true, false, isDev);
        }
    }
    else {
        if (isDev) {
            return createVisitor(true, false, true, isDev);
        }
        else {
            return createVisitor(false, false, true, isDev);
        }
    }
}
//# sourceMappingURL=index.js.map