import { findCallExpressions } from "./findCallExpressions";
import { names } from "../names";
import { markPath } from "./markPath";
import { findComponentHooks } from "./findComponentHooks";
export function findAndMarkRelevantFunctions(programPath, isDev) {
    const loadQueryExpressions = new Set();
    programPath.traverse(Object.assign({}, findCallExpressions(names.loadQuery, loadQueryExpressions, (callPath) => {
        markPath(callPath, names.loadQuery);
    })));
    const fragmentHooks = findComponentHooks(programPath, names.useFragment, isDev);
    const queryHooks = findComponentHooks(programPath, names.useQuery, isDev);
    return {
        loadQueryExpressions: {
            supported: loadQueryExpressions,
            unsupported: new Set(),
        },
        fragmentHooks,
        queryHooks,
    };
}
//# sourceMappingURL=findAndMarkRelevantFunctions.js.map