import { findCallExpressions } from "./findCallExpressions";
export function findCallExpressionsInComponents(node, name, checkNesting = false) {
    const exprs = new Set();
    const nestedExprs = new Set();
    const allExprs = new Set();
    node.traverse(Object.assign({ VariableDeclaration(path) {
            path.traverse({
                ArrowFunctionExpression(fnPath) {
                    if (fnPath.parentPath.type === "VariableDeclarator" &&
                        fnPath.parentPath.parentPath === path) {
                        path.traverse(Object.assign({}, findCallExpressions(name, exprs)));
                        if (checkNesting) {
                            const nestedResult = findCallExpressionsInComponents(path, name, false);
                            for (const item of nestedResult.exprs) {
                                nestedExprs.add(item);
                            }
                        }
                    }
                },
                FunctionExpression(fnPath) {
                    if (fnPath.parentPath.type === "VariableDeclarator" &&
                        fnPath.parentPath.parentPath === path) {
                        path.traverse(Object.assign({}, findCallExpressions(name, exprs)));
                        if (checkNesting) {
                            const nestedResult = findCallExpressionsInComponents(path, name, false);
                            for (const item of nestedResult.exprs) {
                                nestedExprs.add(item);
                            }
                        }
                    }
                },
            });
        },
        FunctionExpression(path) {
            if (checkNesting) {
                const nestedResult = findCallExpressionsInComponents(path, name, false);
                for (const item of nestedResult.exprs) {
                    nestedExprs.add(item);
                }
            }
        },
        ArrowFunctionExpression(path) {
            if (checkNesting) {
                const nestedResult = findCallExpressionsInComponents(path, name, false);
                for (const item of nestedResult.exprs) {
                    nestedExprs.add(item);
                }
            }
        },
        FunctionDeclaration(path) {
            path.traverse(Object.assign({}, findCallExpressions(name, exprs)));
            if (checkNesting) {
                const nestedResult = findCallExpressionsInComponents(path, name, false);
                for (const item of nestedResult.exprs) {
                    nestedExprs.add(item);
                }
            }
        } }, findCallExpressions(name, allExprs)));
    for (const item of nestedExprs) {
        exprs.delete(item);
        allExprs.delete(item);
    }
    for (const item of exprs) {
        allExprs.delete(item);
    }
    return {
        exprs,
        nestedExprs,
        allExprs,
    };
}
//# sourceMappingURL=findCallExpressionsInComponents.js.map