import { types } from "@babel/core";
export function markUnsupported(node, name, isDev) {
    const msg = isDev
        ? `[GraphQL Compiler Plugin] ${name} is only supported in named and non-default-export module-level functions. This might be due to ${name} being called inside a nested function.`
        : `Unexpected ${name} call`;
    markWithError(node, msg);
}
export function markWithError(node, error) {
    const variableDeclarationParent = node.findParent((path) => {
        return path.type === "VariableDeclaration";
    });
    (variableDeclarationParent !== null && variableDeclarationParent !== void 0 ? variableDeclarationParent : node).replaceWith(types.throwStatement(types.newExpression(types.identifier("Error"), [
        types.stringLiteral(error),
    ])));
}
//# sourceMappingURL=markUnsupported.js.map